// ファイル名： Ch05/SolidLocator/Box.cc 
#include "./Box.hh" 
 
Box::Box() 
{} 
Box::Box(string boxName, SolidPars boxSizeXYZ) 
{ 
  solidName = boxName; solidPars = boxSizeXYZ;  
} 
Box::~Box() 
{} 
bool Box::isPointIn(Point3D testPoint) 
{  
  return (  
    testPoint[0] > -solidPars[0]/2.0  &&  
    testPoint[0] < +solidPars[0]/2.0  &&  
    testPoint[1] > -solidPars[1]/2.0  &&  
    testPoint[1] < +solidPars[1]/2.0  &&  
    testPoint[2] > -solidPars[2]/2.0  &&  
    testPoint[2] < +solidPars[2]/2.0 ); 
}
